summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKito Danya Dietrich <kito@gentoo.org>2005-07-11 20:17:42 +0000
committerKito Danya Dietrich <kito@gentoo.org>2005-07-11 20:17:42 +0000
commit68cfa0b30fb616398eacffb2e51e4fd796f86ed2 (patch)
treedaa3f2beca6b4c1c6123676d08230c40a240dbee /scripts
parentCheck for 4kstacks to be disabled thanks to Dan Capizzi <SentientCitrus@gmail... (diff)
downloadhistorical-68cfa0b30fb616398eacffb2e51e4fd796f86ed2.tar.gz
historical-68cfa0b30fb616398eacffb2e51e4fd796f86ed2.tar.bz2
historical-68cfa0b30fb616398eacffb2e51e4fd796f86ed2.zip
remove macos toolbox glue from python bootstrap
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bootstrap-darwin.sh21
1 files changed, 11 insertions, 10 deletions
diff --git a/scripts/bootstrap-darwin.sh b/scripts/bootstrap-darwin.sh
index 88b6ddba6d26..e0c85276efe9 100755
--- a/scripts/bootstrap-darwin.sh
+++ b/scripts/bootstrap-darwin.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2005 The Gentoo Foundation
# Distributed under the terms of the GNU General Public License, v2
-# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-darwin.sh,v 1.3 2005/02/26 18:47:34 kito Exp $
+# $Header: /var/cvsroot/gentoo-x86/scripts/bootstrap-darwin.sh,v 1.4 2005/07/11 20:17:42 kito Exp $
trap 'exit 1' TERM KILL INT QUIT ABRT
@@ -26,9 +26,9 @@ ROOT=""
PORTDIR=${ROOT}/usr/portage
DISTDIR=${PORTDIR}/distfiles
PORTAGE_TMPDIR=${ROOT}/var/tmp
-PORTAGEURL="http://gentoo.twobit.net/portage"
-PORTAGEVERSION=2.0.51.16
-PYTHONVERSION=2.3.4
+PORTAGEURL="http://dev.gentoo.org/~jstubbs/releases/"
+PORTAGEVERSION=2.0.51.22
+PYTHONVERSION=2.4.1
DMGURL="http://www.metadistribution.org/gentoo/macos"
DMGVERSION=20041118
BOOTSTRAPSCRIPT="`pwd`/${0##*/}"
@@ -93,16 +93,16 @@ bootstrap_portage() {
rm -rf ${S}
mkdir -p ${S}
cd ${S}
- tar -jxvf ${DISTDIR}/${A}
+ tar -jxvf ${DISTDIR}/${A} || exit 1
S=${S}/portage-${PV}
cd ${S}
- cd ${S}/src ; gcc ${CFLAGS} tbz2tool.c -o tbz2tool
+ cd ${S}/src ; gcc ${CFLAGS} tbz2tool.c -o tbz2tool || exit 1
cd ${S}/cnf
- [ -d ${TARGET}/etc ] || sudo mkdir -p ${TARGET}/etc
- cp make.globals.mac ${TARGET}/etc/make.globals
- cp make.conf ${TARGET}/etc/make.conf
+ [ -e ${TARGET}/etc ] || sudo mkdir -p ${TARGET}/etc
+ cp make.globals ${TARGET}/etc/make.globals
+ [ -e ${TARGET}/etc/make.conf ] || cp make.conf ${TARGET}/etc/make.conf
cp etc-update.conf dispatch-conf.conf ${TARGET}/etc/
mkdir -p ${TARGET}/usr/lib/portage/pym
@@ -213,6 +213,7 @@ bootstrap_python() {
cd ${S}
sudo ./configure \
+ --disable-toolbox-glue \
--enable-unicode=ucs4 \
--prefix=${TARGET}/usr \
--host=${CHOST} \
@@ -232,7 +233,7 @@ bootstrap_python() {
sudo make ${MAKEOPTS} || exit 1
sudo make altinstall || exit 1
cd ${TARGET}/usr/bin
- sudo ln -sf python2.3 python
+ sudo ln -sf python2.4 python
echo
echo -e "Python succesfully bootstrapped"